#### Previous topic

scipy.optimize.brute

#### Next topic

scipy.optimize.rosen_der

# scipy.optimize.rosen

`scipy.optimize.``rosen`(x)

  The Rosenbrock function.

  The function computed is:

      sum(100.0*(x[1:] - x[:-1]**2.0)**2.0 + (1 - x[:-1])**2.0

  Parameters:

  x : array_like

  > 1-D array of points at which the Rosenbrock function is to be computed.

  Returns:

  f : float

  > The value of the Rosenbrock function.

  See also

  `rosen_der`, `rosen_hess`, `rosen_hess_prod`